<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../stylesheet.css">
<link rel="start" href="../../overview-summary.html">

<title>ListsUl (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/tests/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/tests/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/tests/listsul.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Tests\ListsUl</div>
<a href="../../source/tests/cases/data/testcase-lists-ul.php.html#line73" class="location">tests/cases/data/testcase-lists-ul.php at line 73</a>

<h1>Class ListsUl</h1>

<pre class="tree"><strong>ListsUl</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>ListsUl</strong></p>

<div class="comment" id="overview_description"><p>class ListsUl.</p><p>Process a *doc comment* with unordered lists.</p>
<ul>
<li>They could use 'o'.</li>
<li>Or they could use '-'</li>
<li>Or +, or #.</li>
</ul>
<p>They can start directly after a paragraph, without a blank line in between:</p>
<ul>
<li>Like this. This is a list item.</li>
<li>The second and last list item. Again, we don't need a blank line afterwards.</li>
</ul>
<p>This line is not part of the list anymore.</p><p>We also accept multi-line list items:</p>
<ul>
<li>This is the first list item, and it goes on and on and
on into a second line.</li>
<li>This one doesn't.</li>
<li>This is another long one. It, too, spills over into
a second line because of its wordiness, and it continues
even further into a third.</li>
</ul>
<p>Lines containing just a bullet point character are not considered part of any list:
-</p>
<ul>
<li>But here comes the first real bullet point.</li>
<li>Another bullet point.</li>
<li>The list goes on even if there is a blank line in between. Here it is.</li>
<li>And we have passed it. It makes sense to capture this because people sometimes spread the
list items a little. Especially if they have more text in a second line and even more in
a third.</li>
<li><p class="list">There might be list items which are rather large and in fact consist of several paragraphs.
Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam blandit, ipsum id porta
sollicitudin.</p><p class="list">Dolor dui mattis libero, eget elementum quam tortor a tortor. Fusce turpis lectus, varius
ut dictum id, mollis eu elit. Morbi magna orci, tincidunt sit amet sagittis eget, rutrum
eget orci. Vestibulum tempus feugiat dui nec.</p><p class="list">In nibh velit, luctus id pulvinar eget, tincidunt et sapien. Curabitur sagittis mollis purus,
nec commodo augue hendrerit quis. Cum sociis natoque penatibus et magnis dis parturient montes!</p></li>
<li>And an item #6. Enough.</li>
</ul>
<p>And more text, not part of the preceding list.</p><p>Lists don't have to be aligned stricty because any accidental hit on the space bar would throw
detection off.</p>
<ul>
<li>This is the first list item.</li>
<li>This is the second.</li>
<li>And a third.</li>
</ul>
<p>The same is true for whitespace behind the bullet point.</p>
<ul>
<li>This is the first list item.</li>
<li>This is the second.</li>
<li>And a third.</li>
</ul>
<p>Finally, a single line with a bullet point could be anything and won't be treated as
a list. Because it takes at least two ...</p><p>- ... to tango. This is not a list.</p><p>That's it for unordered lists.</p></div>

<dl>
<dt>Author:</dt>
<dd>I don't care who did it, but we want to have a tag here.</dd>
</dl>
<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/tests/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/tests/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/tests/listsul.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>